using System.Numerics;
using Raylib_cs;

namespace Tiles;

public class CameraController
{
    private Camera2D _camera2D;
    public Camera2D Camera => _camera2D;
    

    public CameraController()
    {
        _camera2D = new Camera2D();
    }

    public void SetCameraTarget(Vector2 target)
    {
        _camera2D.Target = target;
    }

    public void SetCameraOffset(Vector2 offset)
    {
        _camera2D.Offset = offset;
    }

    public void SetCameraZoom(float zoom)
    {
        _camera2D.Zoom = zoom;
    }

    public void SetCameraRotation(float rotation)
    {
        _camera2D.Rotation = rotation;
    }
    
}